=== dist/CMakeLists.txt ===
if (UNIX AND NOT APPLE)
  configure_file("qdmr.desktop.in" "qdmr.desktop")
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qdmr.desktop DESTINATION share/applications/)
  install(FILES ${PROJECT_SOURCE_DIR}/dist/qdmr32.png DESTINATION share/icons/hicolor/32x32/ RENAME qdmr.png)
  install(FILES ${PROJECT_SOURCE_DIR}/dist/qdmr48.png DESTINATION share/icons/hicolor/48x48/ RENAME qdmr.png)
  install(FILES ${PROJECT_SOURCE_DIR}/dist/qdmr64.png DESTINATION share/icons/hicolor/64x64/ RENAME qdmr.png)
  install(FILES ${PROJECT_SOURCE_DIR}/dist/qdmr72.png DESTINATION share/icons/hicolor/72x72/ RENAME qdmr.png)
  install(FILES ${PROJECT_SOURCE_DIR}/dist/qdmr96.png DESTINATION share/icons/hicolor/96x96/ RENAME qdmr.png)
endif(UNIX AND NOT APPLE)
