=== debian/changelog ===
qdmr (0.10.1-2) unstable; urgency=medium

  * Fixed copyright for icons.
  * Hopefully fixed build issues under ppc64, etc.

 -- Hannes Matuschek <dm3mat@darc.de>  Thu, 27 Jan 2022 13:14:02 +0100

qdmr (0.10.1-1) unstable; urgency=medium

  * Added auto-gen list of supported devices to about dialog.
  * Added access right check for Unix systems.
  * Implemented interface selection and detection.
  * Implemented Radioddity radio settings extension.
  * Implemented RadioID editor. Fixed RadioID list.
  * Store header states for all extension views.
  * Fixed stupid cast mistake in AbstractConfigObjectList.
  * Fixed encoding/decoding of APRS src/dst for D878UV and later.
  * Added color output for logger.
  * Fixed squelch encoding for RD5R.
  * Fixed decoding of AnyTone general settings.
  * Fixed manual license.

 -- Hannes Matuschek <dm3mat@darc.de>  Sat, 22 Jan 2022 17:05:20 +0100

qdmr (0.10.0-1) unstable; urgency=medium

  * Added support for Baofeng DM-1701, still untested and user-db is missing.
  * Hide extensions in AnalogChannelEditor if show-commercial-features is 
    disabled.
  * Fixed potential crash and memory leak in DTMFContactDialog.
  * Fixed squelch settings for RD-5R.
  * Implemented TyT menu, extension.
  * Fixed error message on TyT device detection.
  * Fixed copying of squelch settings & signalling for analog channels.
  * Fixed GUI update for general settings tab.
  * Fixed handling and instantiation of device specific extensions.

 -- Hannes Matuschek <dm3mat@darc.de>  Thu, 06 Jan 2022 12:11:11 +0100

qdmr (0.9.3-1) unstable; urgency=medium

  * Fixed YAML serialization.
  * Fixed YAML parser warning.
  * Added description fields for device specific settings.
  * Added TyT channel, scan list, general settings.
  * Fixed reset of owned ConfigItem properties.
  * Added auto-copying of properties.
  * Fixed udev rules (prep Debian package).
  * Fixed icon sizes (prep Debian package).

 -- Hannes Matuschek <dm3mat@darc.de>  Sun, 28 Nov 2021 13:55:26 +0100

qdmr (0.9.2-1) unstable; urgency=medium

  * Fixed YAML parser to properly link APRS systems. Fixes #179.
  * Fixed YAML parser issue serializing DefaultRadioID.
  * Fixed connection issue with TyT devices.
  * Fixed GUI update issue when reading a codeplug from the device.
  * Added extension editors to all config elements. These editors are only 
    visible when "Show Commercial Features" is enabled in the settings dialog.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Fri, 19 Nov 2021 22:52:48 +0100

qdmr (0.9.1-1) unstable; urgency=medium

  * Rewrite of codeplug representation, allows to extend generic device-
    independent codeplug representation for device specific settings.
  * New codeplug file format (YAML based). Also allows for device-specific 
    settings to be strored.
  * Rewrite of binary codeplug encoding/decoding. Allows to extend existing 
    codeplugs and codeplug elements by just implementing the differences. This
    makes the cumbersome encoding/decoding of device specific settings 
    feasible.
  * Added support for the TyT MD-2017.
  * Added TyT MD-390 support.
  * Added Hide/Show Commercial Features flag to settings dialog. This 
    shows/hides the radio ID list (in ham radio you will only need one DMR ID).
  * Cleanup of GUI. Some minor GUI cleanup things.
  * Added unified device names and --list-radios option for command line tool.
  * Fixed call-sign DB entry for OpenGD77.
  * Added band information to repeater database, showing it in auto-completer.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sat, 06 Nov 2021 15:09:01 +0100

qdmr (0.9.0-alpha4-1) unstable; urgency=medium

  * Destroy radio object when verification fails.
  * Fixed ZoneDialog adding channels always to list A.
  * Fixed include path for yaml-cpp.
  * Fixed crash when encoding OpenGD77 codeplugs with extension.
  * Disabled conf-format export in command line tool.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Thu, 28 Oct 2021 16:19:57 +0200

qdmr (0.9.0-alpha3-1) unstable; urgency=medium

  * Added TyT MD-390 support.
  * Added alias for TyT MD-UV380 to UV390. 
  * Fixed crash after codeplug reset in the presence of extensions. 
  * Fixed encoding of GPS systems for TyT devices.
  * Fixed crash when decoding an unkown enum value. 
  * Fixed analog and digital channel dialog. 
  * Fixed copy constructor of Analog/DigitalChannel.
  * Fixed crash in TyTInterface when no radio is connected.
  * Fixed overriding of radio detection.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sun, 10 Oct 2021 14:58:54 +0200

qdmr (0.9.0-alpha2-1) unstable; urgency=medium

  * Added unified device names and --list-radios option for command line tool
  * Cleanup & fixed decoding of UV390 and MD2017 codeplugs.
  * Fixed YAML serializer, added missing default DMR radio ID.
  * Added error message on call-sign DB upload when no default ID is specified.
  * Added find_library() for libyaml-cpp.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Mon, 04 Oct 2021 18:47:39 +0200

qdmr (0.9.0-alpha1-1) unstable; urgency=medium


  * Fixed encoding of admit criterion for AnyTone devices. Fixes #139.
  * Fixed YAML parser/serializer to handle unsigned ints again. Fixes #140.
  * Fixed squelch mode settings for AnyTone devices.
  * Fixed VOX enable/disable for channels in Radioddity & TyT codeplugs.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sat, 02 Oct 2021 23:58:45 +0200

qdmr (0.9.0-alpha-1) unstable; urgency=medium

  * Reworked core library libdmrconf. 
  * Added Support for TyT MD-2017.
  * Unified GUI lists.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sat, 02 Oct 2021 14:54:30 +0200

qdmr (0.8.1-1) unstable; urgency=medium

  * Fixed support for Radioddity GD-77
  * Updated man page for command line tool.
  * Fixed CTCSS tone of 71.9Hz.
  * Fixed time-slot override for OpenGD77 firmware.
  * Fixed crash on transfer errors with OpenGD77 radios.
  * Added prefix selection for call-sign DB upload.


