=== debian/control ===
Source: qdmr
Priority: optional
Maintainer: Hannes Matuschek <dm3mat@darc.de>
Build-Depends: debhelper (>= 11), cmake, xsltproc, docbook-xsl, qtbase5-dev, qttools5-dev, qttools5-dev-tools, qtpositioning5-dev, libqt5serialport5-dev, libusb-1.0-0-dev, libyaml-cpp-dev (>= 0.6.2)
Standards-Version: 4.5.1
Section: hamradio
Vcs-Browser: https://salsa.debian.org/dm3mat/qdmr
Vcs-Git: https://salsa.debian.org/dm3mat/qdmr.git
Homepage: https://dm3mat.darc.de/qdmr

Package: libdmrconf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdmrconf0.10 (= ${binary:Version}), ${misc:Depends}
Description: Header files for libdmrconf
 Libdmrconf is a Qt5 library to interface and program DMR radios. DMR is a
 digital modulation standard used in amateur and commercial radio. This library
 provides the core functionality to read, write, encode and decode binary 
 codeplugs for several radios, including AnyTone AT-D868UVE, AT-D878UV,
 AT-878UVII, AT-D578UV, TyT MD-390, MD-UV380, MD-UV390, MD-2017, Retevis RT8, 
 RT3S, RT82, Radioddity RD5R, GD-77, Baofeng DMR-6X2 and radio running the 
 OpenGD77 firmware. This package contains the header files for libdrmconf.

Package: libdmrconf0.10
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to program DMR radios
 Libdmrconf is a Qt5 library to interface and program DMR radios. DMR is a
 digital modulation standard used in amateur and commercial radio. This library
 provides the core functionality to read, write, encode and decode binary 
 codeplugs for several radios, including AnyTone AT-D868UVE, AT-D878UV,
 AT-878UVII, AT-D578UV, TyT MD-390, MD-UV380, MD-UV390, MD-2017, Retevis RT8, 
 RT3S, RT82, Radioddity RD5R, GD-77, Baofeng DMR-6X2 and radio running the 
 OpenGD77 firmware.

Package: qdmr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GUI application to program DMR radios
 qdmr is a Qt5 application to program DMR radios. DMR is a digital modulation
 standard used in amateur and commercial radio. To this end, qdmr is an 
 alternative codeplug programming software (CPS) that supports several radios 
 of several manufacturers. Including AnyTone AT-D868UVE, AT-D878UV, AT-878UVII, 
 AT-D578UV, TyT MD-390, MD-UV380, MD-UV390, MD-2017, Retevis RT8, RT3S, RT82, 
 Radioddity RD5R, GD-77, Baofeng DMR-6X2 and radio running the OpenGD77 
 firmware.
