=== debian/changelog ===
qdmr (0.10.2-1) unstable; urgency=medium
  
  * Repeaterbook integration.
  * Implemented encryption settings.
  * Added 'show extension' setting.
  * Implemented bitmap for hidden zones for the AT-D878UV and later.
  * Fixed static colors for ChannelListView (dark mode).
  * Fixed limit DB entries toggling.
  * Fixed radio limit checks.
  * Fixed MD2017 zone decoding (off-by-one error).
  * Fixed creation of APRS channel when decoding D878UV codeplugs.
  * Fixed encoding/decoding of DCS settings for all AnyTone devices.

 -- Hannes Matuschek <dm3mat@darc.de>  Sat, 26 Mar 2022 13:00:02 +0100
