## qdmr 0.11.0

=== debian/changelog ===
qdmr (0.11.0-1) unstable; urgency=medium
  
  * Implementation of BTECH DMR-6X2UV.
  * Added roaming channels.
  * Updated Brandmeister API.
  * Fixed crash when copying channels.
  * Fixed crash decoding MD2017 channels.
  * Fixed roaming zone edit dialog.
  * Fixed removal of B channels in zones.
  * Fixed crash in command line tool verification.

 -- Hannes Matuschek <dm3mat@darc.de>  Wed, 11 Jan 2023 15:41:00 +0100

qdmr (0.10.4-1) unstable; urgency=medium
  
  * Fixed handling of sparse lists for DM-1701, MD-2017, MD-390, MD-UV390.
  * Fixed encoding of TyT group lists.
  * Implemented DMR channel extension for AnyTone devices.
  * Fixed error message, when device detection fails.
  * Added notes about auto-completion to channel dialogs.
  * Added German translation.

 -- Hannes Matuschek <dm3mat@darc.de>  Fri, 21 Oct 2022 19:24:00 +0200

qdmr (0.10.3-1) unstable; urgency=medium
  
  * TyT: Fixed scan-list transmit-channel decoding.
  * MD380/MD390: Fixed handling of invalid frequency range.
  * DM-1701: Fixed detection.
  * MD-2017: Fixed decoding of contact elements.
  * AnyTone: Extended channel extension.
  * AnyTone: Fixed encoding/decoding for DTMF contacts.
  * AnyTone: Fixed frequency ranges.
  * AnyTone: Fixed decoding of alert type of contact elements.
  * AnyTone: Fixed encoding/decoding of contacts.
  * GD77: Fixed callsign db.
  * OpenGD77: Updated codeplug to FW rev E2022.02.
  * OpenGD77: Implemented scan flags for channels.
  * OpenGD77: Swapped time-slot override flags for contact extension.
  * OpenGD77: Fixed encoding of group lists for OpenGD77.
  * OpenGD77: Fixed encoding of contact extension.
  * Core: Fixed handling of private calls in group lists.
  * Core: Fixed crash when encoding a channel missing the default radio id.
  * Core: Skip TX frequency check if channel is RX only.
  * Core: Fixed reset of codeplugs.
  * GUI: Fixed swapped RX/TX frequencies in auto-completion.
  * GUI: Removed 'Refresh Repeater DB' menu entry. Useless since 0.10.2.

 -- Hannes Matuschek <dm3mat@darc.de>  Sun, 11 Sep 2022 16:31:00 +0200
